Cannot run deployment update with diamond agent

Description

When trying to run a deployment update where the diamond agent is involved, it fails with:
An error occurred on the server: 400: The blueprint you provided for the deployment update contains changes currently unsupported by the deployment update mechanism.
Unsupported changes: host_agent_plugins:nodejs_host

This has been reproduced using the following repo: https://github.com/cloudify-examples/nodecellar-auto-scale-auto-heal-blueprint
with the following blueprint:

Activity

Show:
Guy Offer
February 6, 2018, 12:46 PM

Sivan, please consider this for the deployment update epic.

Sivan Barzily
February 6, 2018, 1:12 PM

what were the changes made in the new blueprint? What was the leading yaml file in the deployment?

geokala
February 6, 2018, 4:13 PM

I think this was updating the deployment using the already used blueprint, but I can't 100% recall now.

Sivan Barzily
February 6, 2018, 4:37 PM

In this case it is a known bug - planned to be fixed in 4.4 Either way as part of the deployment update in 4.4 we'll look into this item as well.

Assignee

Sivan Barzily

Reporter

geokala

Labels

Bug Type

legacy bug

Target Version

4.4

Severity

None

Affects versions

Configure